=== modified file 'drizzled/table_share.cc'
--- drizzled/table_share.cc	2009-11-25 07:43:41 +0000
+++ drizzled/table_share.cc	2009-11-25 18:32:06 +0000
@@ -49,6 +49,12 @@
 {
   pthread_mutex_init(&LOCK_table_share, MY_MUTEX_INIT_FAST);
   table_def_inited= true;
+  /* 
+   * This is going to overalloc a bit - as rehash sets the number of
+   * buckets, not the number of elements. BUT, it'll allow us to not need
+   * to rehash later on as the hash_map grows.
+   */
+  table_def_cache.rehash(table_def_size);
 }
 
 

